|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Q3Picture Class Reference

The Q3Picture class is a paint device that records and replays Q3Painter commands. More...

    #include <Q3Picture>

Part of the Qt3Support module.

Inherits QPicture.

- List of all members, including inherited members

### Public Functions

- Q3Picture ()
- Q3Picture ( const QPicture & other )
- bool load ( QIODevice * device, const char * format = 0 )
- bool load ( const QString & fileName, const char * format = 0 )
- bool save ( QIODevice * device, const char * format = 0 )
- bool save ( const QString & fileName, const char * format = 0 )

- 12 public functions inherited from QPicture
- 10 public functions inherited from QPaintDevice

### Additional Inherited Members

- 5 static public members inherited from QPicture
- 1 protected function inherited from QPicture

## Detailed Description

The Q3Picture class is a paint device that records and replays Q3Painter commands.

Q3Picture can also read and write SVG (Scalable Vector Graphics) files; these files are in an XML format specified by W3C. (See the load() and save() functions.)

See also QPicture.

## Member Function Documentation

### Q3Picture::Q3Picture ()

Constructs a Q3Picture.

### Q3Picture::Q3Picture ( const QPicture & other )

Constructs a copy of other.

### bool Q3Picture::load ( QIODevice * device, const char * format = 0 )

Loads the picture in the specified format from the given device. Returns true if the file is loaded successfully; otherwise returns false.

See also save().

### bool Q3Picture::load ( const QString & fileName, const char * format = 0 )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Loads the picture in the specified format from a file with the given fileName. Returns true if the file is loaded successfully; otherwise returns false.

See also save().

### bool Q3Picture::save ( QIODevice * device, const char * format = 0 )

Saves the picture in the specified format to the given device.

See also load().

### bool Q3Picture::save ( const QString & fileName, const char * format = 0 )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Saves the picture in the specified format to the file with the given fileName.

See also load().